# Copyright 2021 Google LLC
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.


deep-remove-regex:
- "/java-monitoring/grpc-google-.*/src"
- "/java-monitoring/proto-google-.*/src"
- "/java-monitoring/google-.*/src"
- "/java-monitoring/samples/snippets/generated"

deep-preserve-regex:
- "/java-monitoring/google-.*/src/test/java/com/google/cloud/.*/v.*/it/IT.*Test.java"
- "/java-monitoring/google-cloud-monitoring/src/test/java/com/google/cloud/monitoring/v3/ITVPCServiceControlTest.java"
- "/java-monitoring/proto-google-cloud-monitoring-v3/src/main/java/com/google/monitoring/v3/AlertPolicyConditionName.java"
- "/java-monitoring/proto-google-cloud-monitoring-v3/src/main/java/com/google/monitoring/v3/DroppedLabelsOuterClass.java"
- "/java-monitoring/proto-google-cloud-monitoring-v3/src/main/java/google/monitoring/v3/DroppedLabelsOuterClass.java"

deep-copy-regex:
- source: "/google/monitoring/(v.*)/.*-java/proto-google-.*/src"
  dest: "/owl-bot-staging/java-monitoring/$1/proto-google-cloud-monitoring-$1/src"
- source: "/google/monitoring/(v.*)/.*-java/grpc-google-.*/src"
  dest: "/owl-bot-staging/java-monitoring/$1/grpc-google-cloud-monitoring-$1/src"
- source: "/google/monitoring/(v.*)/.*-java/gapic-google-.*/src"
  dest: "/owl-bot-staging/java-monitoring/$1/google-cloud-monitoring/src"
- source: "/google/monitoring/(v.*)/.*-java/samples/snippets/generated"
  dest: "/owl-bot-staging/java-monitoring/$1/samples/snippets/generated"

api-name: monitoring
